Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class Expires

    java.lang.Object
      org.apache.sandesha2.wsrm.Expires

All Implemented Interfaces:
  IOMRMElement

    public class Expires

extends java.lang.Object
implements IOMRMElement

Represents an Expires element.

Constructor Summary
`Expires(java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement element)`
`java.lang.String` | `getDuration()`
`java.lang.String` | `getNamespaceValue()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setDuration(java.lang.String duration)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Expires

    public Expires(java.lang.String namespaceValue)
            throws SandeshaException

Throws:
  `SandeshaException`

Method Detail

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement element)
                                   throws org.apache.axiom.om.OMException

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### getNamespaceValue

    public java.lang.String getNamespaceValue()
                                       throws org.apache.axiom.om.OMException

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement element)
                                              throws org.apache.axiom.om.OMException

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### getDuration

    public java.lang.String getDuration()

### setDuration

    public void setDuration(java.lang.String duration)

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.